Loading...
Searching...
No Matches
openshot::ProfileInfo Struct Reference

This struct holds profile data, typically loaded from a file. More...

`#include <Profiles.h>`

## Public Attributes

std::string | description
| The description of this profile.
Fraction | display_ratio
| The ratio of width to height of the video stream (i.e. 640x480 has a ratio of 4/3)
Fraction | fps
| Frames per second, as a fraction (i.e. 24/1 = 24 fps)
int | height
| The height of the video (in pixels)
bool | interlaced_frame
int | pixel_format
| The pixel format (i.e. YUV420P, RGB24, etc...)
Fraction | pixel_ratio
| The pixel ratio of the video stream as a fraction (i.e. some pixels are not square)
int | width
| The width of the video (in pixels)

## Detailed Description

This struct holds profile data, typically loaded from a file.

Profile data contains common settings for Writers, such as frame rate, aspect ratios, width, and height combinations.

Definition at line 39 of file Profiles.h.

## Member Data Documentation

## description

std::string openshot::ProfileInfo::description

The description of this profile.

Definition at line 41 of file Profiles.h.

Referenced by openshot::Profile::LongNameWithDesc(), openshot::Profile::Profile(), and openshot::Profile::Profile().

## display_ratio

Fraction openshot::ProfileInfo::display_ratio

The ratio of width to height of the video stream (i.e. 640x480 has a ratio of 4/3)

Definition at line 47 of file Profiles.h.

Referenced by openshot::Profile::JsonValue(), openshot::Profile::Key(), openshot::Profile::LongName(), openshot::Profile::LongNameWithDesc(), openshot::Profile::Profile(), openshot::Profile::Profile(), and openshot::Profile::SetJsonValue().

## fps

Fraction openshot::ProfileInfo::fps

Frames per second, as a fraction (i.e. 24/1 = 24 fps)

Definition at line 45 of file Profiles.h.

Referenced by openshot::Profile::JsonValue(), openshot::Profile::Profile(), openshot::Profile::Profile(), and openshot::Profile::SetJsonValue().

## height

int openshot::ProfileInfo::height

The height of the video (in pixels)

Definition at line 42 of file Profiles.h.

Referenced by openshot::Profile::JsonValue(), openshot::Profile::Key(), openshot::Profile::LongName(), openshot::Profile::LongNameWithDesc(), openshot::Profile::Profile(), openshot::Profile::Profile(), openshot::Profile::SetJsonValue(), and openshot::Profile::ShortName().

## interlaced_frame

bool openshot::ProfileInfo::interlaced_frame

Definition at line 48 of file Profiles.h.

Referenced by openshot::Profile::JsonValue(), openshot::Profile::Key(), openshot::Profile::LongName(), openshot::Profile::LongNameWithDesc(), openshot::Profile::Profile(), openshot::Profile::Profile(), openshot::Profile::SetJsonValue(), and openshot::Profile::ShortName().

## pixel_format

int openshot::ProfileInfo::pixel_format

The pixel format (i.e. YUV420P, RGB24, etc...)

Definition at line 44 of file Profiles.h.

Referenced by openshot::Profile::JsonValue(), openshot::Profile::Profile(), openshot::Profile::Profile(), and openshot::Profile::SetJsonValue().

## pixel_ratio

Fraction openshot::ProfileInfo::pixel_ratio

The pixel ratio of the video stream as a fraction (i.e. some pixels are not square)

Definition at line 46 of file Profiles.h.

Referenced by openshot::Profile::JsonValue(), openshot::Profile::Profile(), openshot::Profile::Profile(), and openshot::Profile::SetJsonValue().

## width

int openshot::ProfileInfo::width

The width of the video (in pixels)

Definition at line 43 of file Profiles.h.

Referenced by openshot::Profile::JsonValue(), openshot::Profile::Key(), openshot::Profile::LongName(), openshot::Profile::LongNameWithDesc(), openshot::Profile::Profile(), openshot::Profile::Profile(), openshot::Profile::SetJsonValue(), and openshot::Profile::ShortName().

The documentation for this struct was generated from the following file:

- Profiles.h